PHP学习_PHP技术_PHP网站建设_PHP程序员专注于PHP技术研究及学习

Adophper » 服务器 » centos kernel-headers提示错误解决方法

centos kernel-headers提示错误解决方法

此文被围观1545日期: 2012-11-06 分类 : 服务器  标签:  ·····
今天在安装7zip的时候出现的错误: glibc-headers-2.5-81.el5_8.2.x86_64 from updates has depsolving problems
--> Missing Dependency: kernel-headers >= 2.2.1 is needed by package glibc-headers-2.5-81.el5_8.2.x86_64 (updates)
glibc-headers-2.5-81.el5_8.2.x86_64 from updates has depsolving problems
--> Missing Dependency: kernel-headers is needed by package glibc-headers-2.5-81.el5_8.2.x86_64 (updates)
Error: Missing Dependency: kernel-headers is needed by package glibc-headers-2.5-81.el5_8.2.x86_64 (updates)
Error: Missing Dependency: kernel-headers >= 2.2.1 is needed by package glibc-headers-2.5-81.el5_8.2.x86_64 (updates)
        You could try using --skip-broken to work around the problem
        You could try running: package-cleanup --problems
        package-cleanup --dupes
        rpm -Va --nofiles --nodigest
安装kernel-headers即可解决问题
wget http://vault.centos.org/5.7/os/x86_64/CentOS/kernel-headers-2.6.18-274.el5.x86_64.rpm rpm -ivh kernel-headers-2.6.18-274.el5.x86_64.rpm 以上方法解决错误。

本站使用ThinkPHP框架开发读图网主题,目前托管在阿里云,图片由读图网提供. 蜀ICP备12031064号

Copyright © 2011-2018adophper.com All Rights Reserved.